desync(1)

NAME
desync-mtree - Print the content of a catar, caidx or local directory in mtree format

SYNOPSIS
desync mtree <catar|index|dir> [flags]

DESCRIPTION
Reads an archive (catar), index (caidx) or local directory and prints the content in mtree format.

The input is either a catar archive, a caidx index file (with -i and -s), or a local directory.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-c, --cache=""
    store to be used as cache

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for mtree

-i, --index[=false]
    read index file (caidx), not catar

-s, --store=[]
    source store(s), used with -i

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync mtree docs.catar
      desync mtree -s http://192.168.1.1/ -c /path/to/local -i docs.caidx
      desync mtree /path/to/dir

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra